SolrDeletionPolicy (Solr 3.6.2 API)
Keywords: org.apache.solr.core.SolrDeletionPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class SolrDeletionPolicy

    java.lang.Object
      org.apache.solr.core.SolrDeletionPolicy

All Implemented Interfaces:
  IndexDeletionPolicy, NamedListInitializedPlugin

    public class SolrDeletionPolicy

extends Object
implements IndexDeletionPolicy, NamedListInitializedPlugin

Standard Solr deletion policy that allows reserving index commit points for certain amounts of time to support features such as index replication or snapshooting directly out of a live index directory.

Version:
  $Id: SolrDeletionPolicy.java 1201265 2011-11-12 14:09:28Z mikemccand $
See Also:
  `IndexDeletionPolicy`

Field Summary
`static org.slf4j.Logger` | `log`

Constructor Summary
`SolrDeletionPolicy()`

Method Summary
`String` | `getMaxCommitAge()`
`int` | `getMaxCommitsToKeep()`
`int` | `getMaxOptimizedCommitsToKeep()`
`void` | `init(NamedList args)`
`void` | `onCommit(List commits)` Internal use for Lucene...
`void` | `onInit(List commits)` Internal use for Lucene...
`void` | `setMaxCommitsToKeep(int maxCommitsToKeep)`
`void` | `setMaxOptimizedCommitsToKeep(int maxOptimizedCommitsToKeep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.slf4j.Logger log

Constructor Detail

### SolrDeletionPolicy

    public SolrDeletionPolicy()

Method Detail

### init

    public void init(NamedList args)

  Specified by:
    `init` in interface `NamedListInitializedPlugin`

### onInit

    public void onInit(List commits)
                throws IOException

  Internal use for Lucene... do not explicitly call.

  Specified by:
    `onInit` in interface `IndexDeletionPolicy`
  Throws:
    `IOException`

### onCommit

    public void onCommit(List commits)
                  throws IOException

  Internal use for Lucene... do not explicitly call.

  Specified by:
    `onCommit` in interface `IndexDeletionPolicy`
  Throws:
    `IOException`

### getMaxCommitAge

    public String getMaxCommitAge()

### getMaxCommitsToKeep

    public int getMaxCommitsToKeep()

### getMaxOptimizedCommitsToKeep

    public int getMaxOptimizedCommitsToKeep()

### setMaxCommitsToKeep

    public void setMaxCommitsToKeep(int maxCommitsToKeep)

### setMaxOptimizedCommitsToKeep

    public void setMaxOptimizedCommitsToKeep(int maxOptimizedCommitsToKeep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD